
## Instalación
Para instalar el SDK, ejecuta el siguiente comando:

```http
  npm i menta-tickets-sdk-ts
```


## Uso

Para usar el SDK, importa la función "initializeMenta". Luego, podrás utilizar sus métodos para interactuar con nuestros servicios.

```http
  import { initializeMenta } from 'menta-tickets-sdk-ts';

  const config = {
    apiKey: 'Colocar mi número de api key'
  }

  const mentaTicketsSdk = initializeMenta(config);

  mentaTicketsSdk.createWallet('mi@email.com');
  mentaTicketsSdk.mintTicket('mi@email.com', { eventId: '123', ticketId: '456', ticketType: 'VIP' });
  const shouldShow = mentaTicketsSdk.shouldShowQRCode('mi@email.com', '456');
```


## Métodos

### createWallet

| Parámetro | Tipo     | Descripción                |
| :-------- | :------- | :------------------------- |
| `email` | `string` | **Requerido**. El email del usuario |


Este método crea una wallet con el email especificado.


### mintTicket

| Parámetro | Tipo     | Descripción                |
| :-------- | :------- | :------------------------- |
| `email` | `string` | **Requerido**. El email del usuario |
| `ticket` | `object` | **Requerido**. El ticket a ser minteado |


Este método crea un ticket con el email y el objeto especificados. El objeto debe incluir las propiedades eventId, ticketId y ticketType.

### shouldShowQRCode

| Parámetro | Tipo     | Descripción                |
| :-------- | :------- | :------------------------- |
| `email` | `string` | **Requerido**. El email del usuario |
| `ticketId` | `string` | **Requerido**. El ID del ticket |


Este método determina si se debe mostrar el código QR con el email y el ticketId especificados. Devuelve true si se debe mostrar y false si no.

